package com.yd.dal.mapper.meta;

import com.yd.api.practitioner.vo.organization.InsurerBranchDeptInfo;
import com.yd.api.practitioner.vo.organization.InsurerBranchInfo;
import com.yd.api.practitioner.vo.organization.PractitionerSubordinateSystemInfo;
import com.yd.dal.entity.meta.MdDropOptions;
import com.yd.dal.entity.meta.OptionsEGolden;
import org.apache.ibatis.annotations.Param;
import java.util.List;

public interface MdDropOptionsMapper {
    int deleteByPrimaryKey(Long id);

    int insert(MdDropOptions record);

    int insertSelective(MdDropOptions record);

    MdDropOptions selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(MdDropOptions record);

    int updateByPrimaryKey(MdDropOptions record);

    List<MdDropOptions> selectByObj(MdDropOptions info);

    List<MdDropOptions> findByDropMasterCode(String dropMasterCode);

    List<MdDropOptions> findByMasterCode(@Param("masterCode")String masterCode);

    List<MdDropOptions> findByMasterCodeAndOrderId(@Param("masterCode")String masterCode, @Param("orderId")int orderId);

    MdDropOptions selectByMasterCodeAndOptionsCode(@Param("masterCode") String masterCode, @Param("optionsCode") String optionsCode);

    List<MdDropOptions> findByMasterCodeAndOptionsCode(@Param("masterCode")String masterCode, @Param("optionsCode")String optionsCode);

    List<OptionsEGolden> findByMasterIdsE(@Param("materIds")List<Integer> materIds);

    List<OptionsEGolden> findAllTitleEG();

    List<PractitionerSubordinateSystemInfo> findSubordinateSystemInfoByIdEG(@Param("subordinateSystemIds")List<String> subordinateSystemIds);

    List<PractitionerSubordinateSystemInfo> findSubordinateSystemInfoEG();

    List<InsurerBranchDeptInfo> findBranchDeptInfoByIdEG(@Param("branchDeptIds")List<String> branchDeptIds);

    List<InsurerBranchDeptInfo> findBranchDeptInfoEG();

    List<InsurerBranchInfo> findInsurerBranchInfoByIdEG(@Param("insurerBranchIds")List<String> insurerBranchIds);

    List<InsurerBranchInfo> findInsurerBranchInfoEG();

    List<MdDropOptions> findByDropMasterCodes(@Param("masterCodeList")List<String> masterCodeList);
}